diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
index af0e02d8c..0b2726ecb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
@@ -22,6 +22,8 @@ from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from .utils import BaseTableView
 from pgadmin.utils.preferences import Preferences
+import pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.foreign_key.utils as fkey_utils
 
 
 class TableModule(SchemaChildModule):
@@ -1011,18 +1013,10 @@ class TableView(BaseTableView, DataTypeReader, VacuumSettings):
 
         if 'foreign_key' in data:
             for c in data['foreign_key']:
-                SQL = render_template(
-                    "/".join([
-                        self.foreign_key_template_path, 'get_parent.sql'
-                    ]),
-                    tid=c['columns'][0]['references']
-                )
-                status, rset = self.conn.execute_2darray(SQL)
-                if not status:
-                    return internal_server_error(errormsg=rset)
-
-                c['remote_schema'] = rset['rows'][0]['schema']
-                c['remote_table'] = rset['rows'][0]['table']
+                schema, table = fkey_utils.get_parent(
+                    self.conn, c['columns'][0]['references'])
+                c['remote_schema'] = schema
+                c['remote_table'] = table
 
         try:
             partitions_sql = ''
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
index d72cc83f2..77d7616af 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
@@ -13,6 +13,10 @@ import simplejson as json
 from functools import wraps
 
 import pgadmin.browser.server_groups.servers.databases as database
+import pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    compound_triggers.utils as compound_trigger_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.utils \
+    import trigger_definition
 from flask import render_template, request, jsonify
 from flask_babelex import gettext
 from pgadmin.browser.collection import CollectionNodeModule
@@ -199,9 +203,6 @@ class CompoundTriggerView(PGChildNodeView):
       - This function is used to return modified SQL for the selected
         Compound Trigger node
 
-    * get_sql(data, scid, tid, trid)
-      - This function will generate sql from model data
-
     * sql(gid, sid, did, scid, tid, trid):
       - This function will generate sql to show it in sql pane for the
         selected Compound Trigger node.
@@ -213,13 +214,6 @@ class CompoundTriggerView(PGChildNodeView):
     * dependent(gid, sid, did, scid, tid, trid):
       - This function will generate dependent list to show it in dependent
         pane for the selected Compound Trigger node.
-
-    * _column_details(tid, clist)::
-      - This function will fetch the columns for compound trigger
-
-    * _trigger_definition(data):
-      - This function will set additional compound trigger definitions in
-        AJAX response
     """
 
     node_type = blueprint.node_type
@@ -281,28 +275,10 @@ class CompoundTriggerView(PGChildNodeView):
             # We need parent's name eg table name and schema name
             # when we create new compound trigger in update we can fetch
             # it using property sql
-            SQL = render_template("/".join([self.template_path,
-                                            'get_parent.sql']),
-                                  tid=kwargs['tid'])
-            status, rset = self.conn.execute_2darray(SQL)
-            if not status:
-                return internal_server_error(errormsg=rset)
-
-            for row in rset['rows']:
-                self.schema = row['schema']
-                self.table = row['table']
-
-            # Here we are storing compound trigger definition
-            # We will use it to check compound trigger type definition
-            self.trigger_definition = {
-                'TRIGGER_TYPE_ROW': (1 << 0),
-                'TRIGGER_TYPE_BEFORE': (1 << 1),
-                'TRIGGER_TYPE_INSERT': (1 << 2),
-                'TRIGGER_TYPE_DELETE': (1 << 3),
-                'TRIGGER_TYPE_UPDATE': (1 << 4),
-                'TRIGGER_TYPE_TRUNCATE': (1 << 5),
-                'TRIGGER_TYPE_INSTEAD': (1 << 6)
-            }
+            schema, table = compound_trigger_utils.get_parent(
+                self.conn, kwargs['tid'])
+            self.schema = schema
+            self.table = table
 
             return f(*args, **kwargs)
 
@@ -422,67 +398,6 @@ class CompoundTriggerView(PGChildNodeView):
             status=200
         )
 
-    def _column_details(self, tid, clist):
-        """
-        This functional will fetch list of column for compound trigger
-
-        Args:
-            tid: Table OID
-            clist: List of columns
-
-        Returns:
-            Updated properties data with column
-        """
-
-        SQL = render_template("/".join([self.template_path,
-                                        'get_columns.sql']),
-                              tid=tid, clist=clist)
-        status, rset = self.conn.execute_2darray(SQL)
-        if not status:
-            return internal_server_error(errormsg=rset)
-        # 'tgattr' contains list of columns from table used in
-        # compound trigger
-        columns = []
-
-        for row in rset['rows']:
-            columns.append(row['name'])
-
-        return columns
-
-    def _trigger_definition(self, data):
-        """
-        This functional will set the compound trigger definition
-
-        Args:
-            data: Properties data
-
-        Returns:
-            Updated properties data with compound trigger definition
-        """
-
-        # Event definition
-        if data['tgtype'] & self.trigger_definition['TRIGGER_TYPE_INSERT']:
-            data['evnt_insert'] = True
-        else:
-            data['evnt_insert'] = False
-
-        if data['tgtype'] & self.trigger_definition['TRIGGER_TYPE_DELETE']:
-            data['evnt_delete'] = True
-        else:
-            data['evnt_delete'] = False
-
-        if data['tgtype'] & self.trigger_definition['TRIGGER_TYPE_UPDATE']:
-            data['evnt_update'] = True
-        else:
-            data['evnt_update'] = False
-
-        if data['tgtype'] & self.trigger_definition['TRIGGER_TYPE_TRUNCATE']:
-            data['evnt_truncate'] = True
-        else:
-            data['evnt_truncate'] = False
-
-        return data
-
     @check_precondition
     def properties(self, gid, sid, did, scid, tid, trid):
         """
@@ -520,9 +435,10 @@ class CompoundTriggerView(PGChildNodeView):
         data = dict(res['rows'][0])
         if len(data['tgattr']) >= 1:
             columns = ', '.join(data['tgattr'].split(' '))
-            data['columns'] = self._column_details(tid, columns)
+            data['columns'] = compound_trigger_utils.get_column_details(
+                self.conn, tid, columns)
 
-        data = self._trigger_definition(data)
+        data = trigger_definition(data)
 
         return ajax_response(
             response=data,
@@ -696,7 +612,8 @@ class CompoundTriggerView(PGChildNodeView):
             data['schema'] = self.schema
             data['table'] = self.table
 
-            SQL, name = self.get_sql(scid, tid, trid, data)
+            SQL, name = compound_trigger_utils.get_sql(
+                self.conn, data, tid, trid, self.datlastsysoid)
             if not isinstance(SQL, (str, unicode)):
                 return SQL
             SQL = SQL.strip('\n').strip(' ')
@@ -775,7 +692,8 @@ class CompoundTriggerView(PGChildNodeView):
         data['table'] = self.table
 
         try:
-            sql, name = self.get_sql(scid, tid, trid, data)
+            sql, name = compound_trigger_utils.get_sql(
+                self.conn, data, tid, trid, self.datlastsysoid)
             if not isinstance(sql, (str, unicode)):
                 return sql
             sql = sql.strip('\n').strip(' ')
@@ -789,58 +707,6 @@ class CompoundTriggerView(PGChildNodeView):
         except Exception as e:
             return internal_server_error(errormsg=str(e))
 
-    def get_sql(self, scid, tid, trid, data):
-        """
-        This function will genrate sql from model data
-        """
-        if trid is not None:
-            SQL = render_template("/".join([self.template_path,
-                                            'properties.sql']),
-                                  tid=tid, trid=trid,
-                                  datlastsysoid=self.datlastsysoid)
-
-            status, res = self.conn.execute_dict(SQL)
-            if not status:
-                return internal_server_error(errormsg=res)
-            if len(res['rows']) == 0:
-                return gone(gettext(
-                    """Could not find the compound trigger in the table.""")
-                )
-
-            old_data = dict(res['rows'][0])
-
-            # If name is not present in data then
-            # we will fetch it from old data, we also need schema & table name
-            if 'name' not in data:
-                data['name'] = old_data['name']
-
-            self.trigger_name = data['name']
-            self.is_trigger_enabled = old_data['is_enable_trigger']
-
-            if len(old_data['tgattr']) > 1:
-                columns = ', '.join(old_data['tgattr'].split(' '))
-                old_data['columns'] = self._column_details(tid, columns)
-
-            old_data = self._trigger_definition(old_data)
-
-            SQL = render_template(
-                "/".join([self.template_path, 'update.sql']),
-                data=data, o_data=old_data, conn=self.conn
-            )
-        else:
-            required_args = {
-                'name': 'Name'
-            }
-
-            for arg in required_args:
-                if arg not in data:
-                    return gettext('-- definition incomplete')
-
-            # If the request for new object which do not have did
-            SQL = render_template("/".join([self.template_path, 'create.sql']),
-                                  data=data, conn=self.conn)
-        return SQL, data['name'] if 'name' in data else old_data['name']
-
     @check_precondition
     def sql(self, gid, sid, did, scid, tid, trid):
         """
@@ -855,46 +721,12 @@ class CompoundTriggerView(PGChildNodeView):
            tid: Table ID
            trid: Trigger ID
         """
-
-        SQL = render_template("/".join([self.template_path,
-                                        'properties.sql']),
-                              tid=tid, trid=trid,
-                              datlastsysoid=self.datlastsysoid)
-
-        status, res = self.conn.execute_dict(SQL)
-        if not status:
-            return internal_server_error(errormsg=res)
-        if len(res['rows']) == 0:
-            return gone(gettext(
-                """Could not find the compound trigger in the table."""))
-
-        data = dict(res['rows'][0])
-        # Adding parent into data dict, will be using it while creating sql
-        data['schema'] = self.schema
-        data['table'] = self.table
-
-        if len(data['tgattr']) >= 1:
-            columns = ', '.join(data['tgattr'].split(' '))
-            data['columns'] = self._column_details(tid, columns)
-
-        data = self._trigger_definition(data)
-
-        SQL, name = self.get_sql(scid, tid, None, data)
-
-        sql_header = u"-- Compound Trigger: {0}\n\n-- ".format(data['name'])
-
-        sql_header += render_template("/".join([self.template_path,
-                                                'delete.sql']),
-                                      data=data, conn=self.conn)
-
-        SQL = sql_header + '\n\n' + SQL.strip('\n')
-
-        # If compound trigger is disbaled then add sql code for the same
-        if data['is_enable_trigger'] != 'O':
-            SQL += '\n\n'
-            SQL += render_template("/".join([self.template_path,
-                                             'enable_disable_trigger.sql']),
-                                   data=data, conn=self.conn)
+        try:
+            SQL = compound_trigger_utils.get_reverse_engineered_sql(
+                self.conn, self.schema, self.table, tid, trid,
+                self.datlastsysoid)
+        except Exception as e:
+            return internal_server_error(errormsg=SQL)
 
         return ajax_response(response=SQL)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/utils.py
new file mode 100644
index 000000000..ad62120cc
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/utils.py
@@ -0,0 +1,200 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+""" Implements Utility class for Foreign Keys. """
+
+from flask import render_template
+from flask_babelex import gettext as _
+from pgadmin.utils.ajax import internal_server_error
+from pgadmin.utils.exception import ObjectGone
+from pgadmin.browser.server_groups.servers.databases.schemas.utils \
+    import trigger_definition
+from functools import wraps
+
+
+def get_template_path(f):
+    """
+    This function will behave as a decorator which will prepare
+    the template path based on database server version.
+    """
+
+    @wraps(f)
+    def wrap(*args, **kwargs):
+        # Here args[0] will hold the connection object
+        conn_obj = args[0]
+        template_path = ''
+        if 'template_path' not in kwargs:
+            template_path = 'compound_triggers/sql/{0}/#{1}#'.format(
+                conn_obj.manager.server_type, conn_obj.manager.version)
+        else:
+            template_path = kwargs['template_path']
+
+        return f(*args, **kwargs, template_path=template_path)
+    return wrap
+
+
+@get_template_path
+def get_parent(conn, tid, template_path=None):
+    """
+    This function will return the parent of the given table.
+    :param conn: Connection Object
+    :param tid: Table oid
+    :param template_path: Optional template path
+    :return:
+    """
+
+    SQL = render_template("/".join([template_path,
+                                    'get_parent.sql']), tid=tid)
+    status, rset = conn.execute_2darray(SQL)
+    if not status:
+        raise Exception(rset)
+
+    schema = ''
+    table = ''
+    if 'rows' in rset and len(rset['rows']) > 0:
+        schema = rset['rows'][0]['schema']
+        table = rset['rows'][0]['table']
+
+    return schema, table
+
+
+@get_template_path
+def get_column_details(conn, tid, clist, template_path=None):
+    """
+    This functional will fetch list of column for trigger.
+    :param conn:
+    :param tid:
+    :param clist:
+    :param template_path:
+    :return:
+    """
+
+    SQL = render_template("/".join([template_path,
+                                    'get_columns.sql']),
+                          tid=tid, clist=clist)
+    status, rset = conn.execute_2darray(SQL)
+    if not status:
+        return internal_server_error(errormsg=rset)
+    columns = []
+    for row in rset['rows']:
+        columns.append(row['name'])
+
+    return columns
+
+
+@get_template_path
+def get_sql(conn, data, tid, trid, datlastsysoid, template_path=None):
+    """
+    This function will generate sql from model data
+    :param conn: Connection Object
+    :param data: Data
+    :param tid: Table ID
+    :param trid: Trigger ID
+    :param datlastsysoid:
+    :param template_path: Optional template path
+    :return:
+    """
+    name = data['name'] if 'name' in data else None
+    if trid is not None:
+        sql = render_template("/".join([template_path, 'properties.sql']),
+                              tid=tid, trid=trid,
+                              datlastsysoid=datlastsysoid)
+
+        status, res = conn.execute_dict(sql)
+        if not status:
+            raise Exception(res)
+
+        if len(res['rows']) == 0:
+            raise ObjectGone(
+                _('Could not find the compound trigger in the table.'))
+
+        old_data = dict(res['rows'][0])
+        # If name is not present in data then
+        # we will fetch it from old data, we also need schema & table name
+        if 'name' not in data:
+            name = data['name'] = old_data['name']
+
+        if len(old_data['tgattr']) > 1:
+            columns = ', '.join(old_data['tgattr'].split(' '))
+            old_data['columns'] = get_column_details(conn, tid, columns)
+
+        old_data = trigger_definition(old_data)
+
+        SQL = render_template(
+            "/".join([template_path, 'update.sql']),
+            data=data, o_data=old_data, conn=conn
+        )
+    else:
+        required_args = {
+            'name': 'Name'
+        }
+
+        for arg in required_args:
+            if arg not in data:
+                return _('-- definition incomplete')
+
+        # If the request for new object which do not have did
+        SQL = render_template("/".join([template_path, 'create.sql']),
+                              data=data, conn=conn)
+    return SQL, name
+
+
+@get_template_path
+def get_reverse_engineered_sql(conn, schema, table, tid, trid,
+                               datlastsysoid, template_path=None):
+    """
+    This function will return reverse engineered sql for trigger(s).
+    :param conn: Connection Object
+    :param schema: Schema
+    :param table: Table
+    :param tid: Table ID
+    :param trid: Trigger ID
+    :param datlastsysoid:
+    :param template_path: Optional template path
+    :return:
+    """
+    SQL = render_template("/".join([template_path, 'properties.sql']),
+                          tid=tid, trid=trid,
+                          datlastsysoid=datlastsysoid)
+
+    status, res = conn.execute_dict(SQL)
+    if not status:
+        raise Exception(res)
+
+    if len(res['rows']) == 0:
+        raise ObjectGone(
+            _('Could not find the compound trigger in the table.'))
+
+    data = dict(res['rows'][0])
+    # Adding parent into data dict, will be using it while creating sql
+    data['schema'] = schema
+    data['table'] = table
+
+    if len(data['tgattr']) >= 1:
+        columns = ', '.join(data['tgattr'].split(' '))
+        data['columns'] = get_column_details(conn, tid, columns)
+
+    data = trigger_definition(data)
+
+    SQL, name = get_sql(conn, data, tid, None, datlastsysoid)
+
+    sql_header = u"-- Compound Trigger: {0}\n\n-- ".format(data['name'])
+
+    sql_header += render_template("/".join([template_path, 'delete.sql']),
+                                  data=data, conn=conn)
+
+    SQL = sql_header + '\n\n' + SQL.strip('\n')
+
+    # If trigger is disabled then add sql code for the same
+    if data['is_enable_trigger'] != 'O':
+        SQL += '\n\n'
+        SQL += render_template("/".join([template_path,
+                                         'enable_disable_trigger.sql']),
+                               data=data, conn=conn)
+    return SQL
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
index 904e073ca..39240266a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
@@ -13,6 +13,8 @@ import simplejson as json
 from functools import wraps
 
 import pgadmin.browser.server_groups.servers.databases as database
+import pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.check_constraint.utils as check_utils
 from flask import render_template, make_response, request, jsonify
 from flask_babelex import gettext as _
 from pgadmin.browser.collection import CollectionNodeModule
@@ -141,10 +143,6 @@ class CheckConstraintView(PGChildNodeView):
     * msql(gid, sid, did, scid, doid=None):
       - Returns the modified SQL.
 
-    * get_sql(gid, sid, data, scid, tid=None):
-      - Generates the SQL statements to create/update the Check Constraint.
-        object.
-
     * dependents(gid, sid, did, scid, tid, cid):
       - Returns the dependents for the Check Constraint object.
 
@@ -202,15 +200,9 @@ class CheckConstraintView(PGChildNodeView):
             self.template_path = 'check_constraint/sql/#{0}#'.format(
                 self.manager.version)
 
-            SQL = render_template("/".join([self.template_path,
-                                            'get_parent.sql']),
-                                  tid=kwargs['tid'])
-            status, rset = self.conn.execute_2darray(SQL)
-            if not status:
-                return internal_server_error(errormsg=rset)
-
-            self.schema = rset['rows'][0]['schema']
-            self.table = rset['rows'][0]['table']
+            schema, table = check_utils.get_parent(self.conn, kwargs['tid'])
+            self.schema = schema
+            self.table = table
 
             return f(*args, **kwargs)
 
@@ -272,15 +264,9 @@ class CheckConstraintView(PGChildNodeView):
         self.template_path = 'check_constraint/sql/#{0}#'.format(
             self.manager.version)
 
-        SQL = render_template("/".join([self.template_path,
-                                        'get_parent.sql']),
-                              tid=tid)
-        status, rset = self.conn.execute_2darray(SQL)
-        if not status:
-            return internal_server_error(errormsg=rset)
-
-        self.schema = rset['rows'][0]['schema']
-        self.table = rset['rows'][0]['table']
+        schema, table = check_utils.get_parent(self.conn, tid)
+        self.schema = schema
+        self.table = table
 
         SQL = render_template("/".join([self.template_path, 'properties.sql']),
                               tid=tid)
@@ -391,15 +377,9 @@ class CheckConstraintView(PGChildNodeView):
         self.template_path = 'check_constraint/sql/#{0}#'.format(
             self.manager.version)
 
-        SQL = render_template("/".join([self.template_path,
-                                        'get_parent.sql']),
-                              tid=tid)
-        status, rset = self.conn.execute_2darray(SQL)
-        if not status:
-            return internal_server_error(errormsg=rset)
-
-        self.schema = rset['rows'][0]['schema']
-        self.table = rset['rows'][0]['table']
+        schema, table = check_utils.get_parent(self.conn, tid)
+        self.schema = schema
+        self.table = table
 
         res = []
         SQL = render_template("/".join([self.template_path,
@@ -438,20 +418,21 @@ class CheckConstraintView(PGChildNodeView):
             cid: Check Constraint Id
         """
 
-        SQL = render_template("/".join([self.template_path,
-                                        'properties.sql']),
-                              tid=tid, cid=cid)
-        status, res = self.conn.execute_dict(SQL)
+        status, res = check_utils.get_check_constraints(self.conn, tid, cid)
         if not status:
-            return internal_server_error(errormsg=res)
-        if len(res['rows']) == 0:
-            return gone(
-                _("Could not find the object on the server.")
-            )
+            return res
+
+        if len(res) == 0:
+            return gone(_(
+                """Could not find the check constraint in the table."""
+            ))
+
+        result = res
+        if cid:
+            result = res[0]
 
-        data = res['rows'][0]
         return ajax_response(
-            response=data,
+            response=result,
             status=200
         )
 
@@ -653,7 +634,7 @@ class CheckConstraintView(PGChildNodeView):
             data['schema'] = self.schema
             data['table'] = self.table
 
-            SQL, name = self.get_sql(gid, sid, data, scid, tid, cid)
+            SQL, name = check_utils.get_sql(self.conn, data, tid, cid)
             if not SQL:
                 return name
             SQL = SQL.strip('\n').strip(' ')
@@ -763,7 +744,7 @@ class CheckConstraintView(PGChildNodeView):
         data['schema'] = self.schema
         data['table'] = self.table
         try:
-            sql, name = self.get_sql(gid, sid, data, scid, tid, cid)
+            sql, name = check_utils.get_sql(self.conn, data, tid, cid)
             if not sql:
                 return name
             sql = sql.strip('\n').strip(' ')
@@ -777,56 +758,6 @@ class CheckConstraintView(PGChildNodeView):
         except Exception as e:
             return internal_server_error(errormsg=str(e))
 
-    def get_sql(self, gid, sid, data, scid, tid, cid=None):
-        """
-        Generates the SQL statements to create/update the Check Constraint.
-
-         Args:
-            gid: Server Group Id
-            sid: Server Id
-            did: Database Id
-            scid: Schema Id
-            tid: Table Id
-            cid: Check Constraint Id
-        """
-        if cid is not None:
-            SQL = render_template("/".join([self.template_path,
-                                            'properties.sql']),
-                                  tid=tid, cid=cid)
-            status, res = self.conn.execute_dict(SQL)
-
-            if not status:
-                return False, internal_server_error(errormsg=res)
-            if len(res['rows']) == 0:
-                return False, gone(
-                    _("Could not find the object on the server.")
-                )
-
-            old_data = res['rows'][0]
-            required_args = ['name']
-            for arg in required_args:
-                if arg not in data:
-                    data[arg] = old_data[arg]
-
-            SQL = render_template(
-                "/".join([self.template_path, 'update.sql']),
-                data=data, o_data=old_data, conn=self.conn
-            )
-        else:
-            required_args = ['consrc']
-
-            for arg in required_args:
-                if arg not in data:
-                    return _('-- definition incomplete')
-                elif isinstance(data[arg], list) and len(data[arg]) < 1:
-                    return _('-- definition incomplete')
-
-            SQL = render_template("/".join([self.template_path,
-                                            'create.sql']),
-                                  data=data)
-
-        return SQL, data['name'] if 'name' in data else old_data['name']
-
     @check_precondition
     def dependents(self, gid, sid, did, scid, tid, cid):
         """
